Name:		python-cups
Version:	1.9.72
Release:	22%{?dist}

Provides:	python2-cups = %{version}-%{release}
Summary:	Python bindings for CUPS
URL:		http://cyberelk.net/tim/software/pycups/
Source:		http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
License:	GPLv2+
Group:		Development/Languages
BuildRequires:	cups-devel
BuildRequires:	python2-devel
BuildRequires:	epydoc
# filter internal libraries from provides
%filter_provides_in %{python_sitearch}/.*\.so$
%filter_setup


%description
This package provides Python bindings for the CUPS API,
known as pycups. It was written for use with
system-config-printer, but can be put to other uses as well.


%package doc
Summary:	Documentation for python-cups
Group:		Documentation
BuildArch:	noarch


%description doc
Documentation for python-cups.


%prep
%setup -q -n pycups-%{version}


%build
make CFLAGS="%{optflags} -fno-strict-aliasing"
make doc


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"
# no executables in docdir
chmod 644 examples/cupstree.py


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%doc COPYING README NEWS TODO
%{python_sitearch}/cups.so
%{python_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov


%files doc
%defattr(-,root,root,0755)
%doc examples html


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.72-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild 
